[arch-commits] Commit in gnupg/repos (6 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Feb 3 09:51:21 EST 2012


    Date: Friday, February 3, 2012 @ 09:51:21
  Author: andyrtr
Revision: 148532

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gnupg/repos/testing-i686/
  gnupg/repos/testing-i686/PKGBUILD
    (from rev 148531, gnupg/trunk/PKGBUILD)
  gnupg/repos/testing-i686/gnupg.install
    (from rev 148531, gnupg/trunk/gnupg.install)
  gnupg/repos/testing-x86_64/
  gnupg/repos/testing-x86_64/PKGBUILD
    (from rev 148531, gnupg/trunk/PKGBUILD)
  gnupg/repos/testing-x86_64/gnupg.install
    (from rev 148531, gnupg/trunk/gnupg.install)

------------------------------+
 testing-i686/PKGBUILD        |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/gnupg.install   |   21 +++++++++++++++++++++
 testing-x86_64/PKGBUILD      |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/gnupg.install |   21 +++++++++++++++++++++
 4 files changed, 114 insertions(+)

Copied: gnupg/repos/testing-i686/PKGBUILD (from rev 148531, gnupg/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-02-03 14:51:21 UTC (rev 148532)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Committer: Judd Vinet <jvinet at zeroflux.org>
+pkgname=gnupg
+pkgver=1.4.12
+pkgrel=1
+pkgdesc="GNU Privacy Guard - a PGP replacement tool"
+arch=('i686' 'x86_64')
+license=('GPL3')
+depends=('zlib' 'bzip2' 'libldap>=2.4.18' 'libusb-compat' 'curl>=7.16.2' 'readline>=6.0.00')
+source=(ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2)
+install=gnupg.install
+url="http://www.gnupg.org/"
+md5sums=('ce3742e5c7912559cab7894ad8ba7f6b')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--libexecdir=/usr/lib \
+	--enable-noexecstack
+  make
+  #ln -s ${pkgname}-${pkgver}/scripts .. # seems obsolete now
+}
+
+check() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make -k check #All 27 tests passed
+}
+
+package () {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  # fix fileconflict with gnupg2 pkg
+  rm ${pkgdir}/usr/share/man/man1/gpg-zip.1
+}

Copied: gnupg/repos/testing-i686/gnupg.install (from rev 148531, gnupg/trunk/gnupg.install)
===================================================================
--- testing-i686/gnupg.install	                        (rev 0)
+++ testing-i686/gnupg.install	2012-02-03 14:51:21 UTC (rev 148532)
@@ -0,0 +1,21 @@
+info_dir=/usr/share/info
+info_files=(gnupg1.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+# vim:set ts=2 sw=2 et:

Copied: gnupg/repos/testing-x86_64/PKGBUILD (from rev 148531, gnupg/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-02-03 14:51:21 UTC (rev 148532)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Committer: Judd Vinet <jvinet at zeroflux.org>
+pkgname=gnupg
+pkgver=1.4.12
+pkgrel=1
+pkgdesc="GNU Privacy Guard - a PGP replacement tool"
+arch=('i686' 'x86_64')
+license=('GPL3')
+depends=('zlib' 'bzip2' 'libldap>=2.4.18' 'libusb-compat' 'curl>=7.16.2' 'readline>=6.0.00')
+source=(ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2)
+install=gnupg.install
+url="http://www.gnupg.org/"
+md5sums=('ce3742e5c7912559cab7894ad8ba7f6b')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--libexecdir=/usr/lib \
+	--enable-noexecstack
+  make
+  #ln -s ${pkgname}-${pkgver}/scripts .. # seems obsolete now
+}
+
+check() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make -k check #All 27 tests passed
+}
+
+package () {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  # fix fileconflict with gnupg2 pkg
+  rm ${pkgdir}/usr/share/man/man1/gpg-zip.1
+}

Copied: gnupg/repos/testing-x86_64/gnupg.install (from rev 148531, gnupg/trunk/gnupg.install)
===================================================================
--- testing-x86_64/gnupg.install	                        (rev 0)
+++ testing-x86_64/gnupg.install	2012-02-03 14:51:21 UTC (rev 148532)
@@ -0,0 +1,21 @@
+info_dir=/usr/share/info
+info_files=(gnupg1.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list